- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# nxos_lacp – Manage Global Link Aggregation Control Protocol (LACP) on Cisco NX-OS devices

New in version 2.9.

- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- This module manages Global Link Aggregation Control Protocol (LACP) on NX-OS devices.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
config dictionary |  | LACP global options.
| system dictionary |  | LACP system options
|  | mac dictionary |  | MAC address to be used for the LACP Protocol exchanges
|  |  | address string |  | MAC-address (FORMAT :xxxx.xxxx.xxxx).
|  |  | role string | Choices: primary secondary | The role for the Switch.
|  | priority integer |  | The system priority to use in LACP negotiations.
state string | Choices: merged ← replaced deleted | The state of the configuration after module completion.

## Notes

Note

- Tested against NXOS 7.3.(0)D1(1) on VIRL.
- Feature lacp should be enabled for this module.

## Examples

    # Using merged

    # Before state:
    # -------------
    #

    - name: Merge provided configuration with device configuration.
      nxos_lacp:
        config:
          system:
            priority: 10
            mac:
              address: 00c1.4c00.bd15
        state: merged

    # After state:
    # ------------
    #
    # lacp system-priority 10
    # lacp system-mac 00c1.4c00.bd15

    # Using replaced

    # Before state:
    # -------------
    #
    # lacp system-priority 10

    - name: Replace device global lacp configuration with the given configuration.
      nxos_lacp:
        config:
          system:
            mac:
              address: 00c1.4c00.bd15
        state: replaced

    # After state:
    # ------------
    #
    # lacp system-mac 00c1.4c00.bd15

    # Using deleted

    # Before state:
    # -------------
    #
    # lacp system-priority 10

    - name: Delete global LACP configurations.
      nxos_lacp:
        state: deleted

    # After state:
    # ------------
    #

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
after dictionary | when changed | The configuration as structured data after module completion. Sample: The configuration returned will always be in the same format of the parameters above.
before dictionary | always | The configuration as structured data prior to module invocation. Sample: The configuration returned will always be in the same format of the parameters above.
commands list | always | The set of commands pushed to the remote device. Sample: ['lacp system-priority 15', 'lacp system-mac 00c1.4c00.bd15 role primary']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Network Team. [network]

### Red Hat Support

More information about Red Hat’s support of this module is available from this Red Hat Knowledge Base article.

### Authors

- Trishna Guha (@trishnaguha)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.